libraw1394: version 2.0.4
Prev |  | Next

# raw1394_read_cycle_timer

## Name

raw1394_read_cycle_timer -- get the current value of the cycle timer

## Synopsis

``int raw1394_read_cycle_timer` (raw1394handle_t handle, u_int32_t * cycle_timer, u_int64_t * local_time);`

## Arguments

`handle`

  libraw1394 handle

`cycle_timer`

  buffer for Isochronous Cycle Timer

`local_time`

  buffer for local system time in microseconds since Epoch

## Description

Simultaneously reads the cycle timer register together with the system clock.

Format of `cycle_timer`, from MSB to LSB: 7 bits cycleSeconds (seconds, or number of cycleCount rollovers), 13 bits cycleCount (isochronous cycles, or cycleOffset rollovers), 12 bits cycleOffset (24.576 MHz clock ticks, not provided on some hardware). The union of cycleSeconds and cycleCount is the current cycle number. The nominal duration of a cycle is 125 microseconds.

## Returns

the error code of the ioctl, or 0 if successful.

Prev | Home | Next
raw1394_iso_shutdown | Up | raw1394_get_errcode